# -*- coding: utf-8 -*-
import os, sys
try:
	from mod_python import apache
except ImportError:
	class ApacheGhost:
		APLOG_NOTICE = '[notice]'
		APLOG_ERR = '[error]'
		APLOG_WARNING = '[warning]'
		
		def log_error(self, str, type):
			print type, str
                
	apache = ApacheGhost()

def prefix(string):
	return '[django:%s(%s)] %s' % ((sys._getframe(4).f_code.co_filename),
								   sys._getframe(4).f_code.co_name,
								   str(string))

def message(str):
	apache.log_error(prefix(str), apache.APLOG_NOTICE)

def error(str):
	apache.log_error(prefix(str), apache.APLOG_ERR)

def warning(str):
	apache.log_error(prefix(str), apache.APLOG_WARNING)
