import hotshot, cStringIO, sys, hotshot.stats

profiledir = '/tmp/'

def create_profile(name):
	prof = hotshot.Profile(profiledir + name)
	return prof

def __logprofile(name, callers, sort, result):
	oldstdout = sys.stdout
	sys.stdout = cStringIO.StringIO()

	file = profiledir + name
	stats = hotshot.stats.load(file)
	stats.sort_stats(*sort)

	if callers:
		stats.print_callers(*result)
	else:
		stats.print_stats(*result)
		
	sys.stdout.seek(0)
	stats_txt = sys.stdout.read()
	sys.stdout.close()
	sys.stdout = oldstdout
	return stats_txt
	
def log_stats(name, sort=['time', 'calls'], result=[20]):
	return __logprofile(name, False, sort, result)

def log_callers(name, sort=['time', 'calls'], result=[20]):
	return __logprofile(name, True, sort, result)

