from django.pimentech.log import *

import datetime

class ErrorLogMiddleware:
	def process_response(self, request, response):

		if response.status_code == 500:
			d = datetime.datetime.now().strftime('error_%Y-%m-%d_%Hh%M:%S.html')
			filename = '/var/log/django/' + d
			error("Django Error log on %s" % filename)
			try:
				fd = file(filename, 'w')
				fd.write(response._get_content())
				fd.close()
			except:
				error("can't write on %s" % filename)
		return response
