from models import *
from django.shortcuts import render_to_response
from django.http import HttpResponseRedirect
from django.pimentech.utils import get_object_or_404

#from django.pimentech.log import message

def liste(request, tag):
	return render_to_response('docs/document_list.html', {
		'object_list': Document.objects.filter(tags__title__exact=tag),
		'tags' : Tag.objects.order_by('title'),
		'tags_selected' : (tag,),
		'title' : tag,
		})

def detail(request, slug):
	object = get_object_or_404(Document, slug=slug)
	tags = Tag.objects.order_by('title')
	tags_sel = []
	for t1 in object.tags.values():
		for t2 in tags.values():
			if t1['title'] == t2['title']:
				tags_sel.append(t1['title'])
	return render_to_response('docs/document_detail.html', {
		'object': object,
		'tags' : tags,
		'tags_selected' : tags_sel,
		})

def tags():
	tags = Tag.objects.order_by('title')
	return {'tags': tags}
