from django.contrib.comments.views.comments import post_free_comment
from django.contrib.contenttypes.models import ContentType
from django.http import Http404, HttpResponseRedirect
import captcha
from site_garage import settings


def free_comment_wrapper(request, extra_context={}, context_processors=None):
	if request.POST:
		content_type = ContentType.objects.get(pk=request.POST["target"].split(':')[0])
		obj = content_type.get_object_for_this_type(pk=request.POST["target"].split(':')[1])
		check_captcha = captcha.submit(request.POST.get('recaptcha_challenge_field',''), request.POST.get('recaptcha_response_field',''), settings.RECAPTCHA_PRIVATE_KEY,request.META['REMOTE_ADDR'])
		if check_captcha.is_valid is False:
			return HttpResponseRedirect((obj.get_absolute_url()+'error/'))
		return post_free_comment(request)
	raise Http404,"Only POSTs are allowed"

